@import "common/basics";
/* Userstyle for Gitlab.com. Created by: 2E0PGS */
/* Repository: https://bitbucket.org/2E0PGS/userstyles/overview */
/* Licence: GNU v3 */
/* Userstyle URL: todo /*
/* Version 1.0.7 01/02/2017 18:33*/

body, 
h1, 
h2, 
h3, 
h4, 
h5, 
h6, 
p{
	color: @text-color;	
}

.navbar{
	border-color: @primary-border-color;
}

.darculaBody(){
	color: @text-color;
	&.ui_dark{
		.search{
			&,
			&.search-active{
				form{
					background-color: @input-bg;
					border: @input-border;
					input[type="text"]{
						color: @input-color;
						
					}
					color: @input-color;
				}
				
			}
		}
		.navbar-gitlab{
			border-color: @primary-border-color;
			.nav{
				& > li{
					a,
					.btn-link{
						&:hover,
						&:focus{
							background-color: @primary-highlight-bg;
						}
					}
					&.active,
					&.dropdown.open{
						& > a{
							background-color: @primary-highlight-bg;
							color: @link-color;
						}
						&.has-value{
							color: @input-color;
						}
					}
				}
			}
		}
		
		.nav-sidebar{
			background-color: @sidebar-bg;
			color: @text-color; 
			box-shadow: inset -1px 0 0 @primary-border-color;
			li,
			li.active {
				a{
					color: @text-color;
					&:hover{
						background-color: @sidebar-current-item-bg;
						color: @text-color;
					}
				}
			}
			.context-header{
				a{
					.basicLinkStyle;
					&:hover,
					&:visited:hover{
						background-color: @sidebar-current-item-bg;
						color: @text-color;
					}
				}
			}
		}
		
		.toggle-sidebar-button,
		.close-nav-button{
			border-top: @button-border;
			&,
			&:hover{
				background-color: @button-top-color;
				color: @text-color;
			}
		}
		
		table.table,
		.file-holder table,
		.wiki table,
		.md table,
		.ul.notes > li .note-body .note-text table{
			color: @text-color;
			tr{
				border-bottom-color: @input-border-color;
				border-top-color: @input-border-color;
				th{
					background-color: @table-even-bg;
					color: @text-color;
					border-color: @input-border-color;
				}
				td{
					border-color: @input-border-color;
				}
			}
		}
		
		.tree-holder{
			table{
				tr{
					td{
						background-color: @table-odd-bg;
						border-bottom-color: @input-border-color;
					}	
					.treeHolderHover(){
						
					}
					&:hover{
						&,
						&:not(.tree-truncated-warning){
							td{
								border-top-color: @input-border-color;
								border-bottom-color: @input-border-color;
								background-color: @table-odd-bg;
							}
						}
					}
				}
			}
			
			.tree-item{
				.tree-item-file-name{
					i,
					a{
						color: @link-color;
					}
					&:hover{
						color: @link-hover-color;
					}
				}
			}
			
			.tree-commit{
				.tree-commit-link{
					color: @text-color;
				}
			}
			.tree-time-ago{
				color: @text-color;
			}
		}
		
		.info-well{
			background-color: @secondary-bg;
			border: @primary-border;
			.commit-row-message{
				color: @link-color;
			}
			
			.commiter{
				color: @text-color;
			}
			
		}
	}
	.light{
		color: @text-color;
	}
}

.generic_commit_status,
.commit{
	a,
	button{
		color: @text-color;
	}
}

.commit-header{
	background-color: @table-odd-bg;
	border-color: @primary-border-color;
}

body{
	.darculaBody;
}




a{
	.basicLinkStyle;
}

.projects-list{
	a{
		.basicLinkStyle;	
	}
}

.projects-dropdown-container{
	.project-dropdown-sidebar{
		border-right: @primary-border;
	}
}

.wiki,
.blog-entry,
.md-page{
	color: @text-color !important;
	h1, h2, h3, h4, h5, p{
		color: @text-color !important;
	}

	a{
		.basicLinkStyle;
	}
}

.breadcrumbs-container{
	border-color: @primary-border-color;
}

.breadcrumb{
	&.repo-breadcrumb{
		a{
			.basicLinkStyle;
		}
		
	}
}

.detail-page-header{
	color: @text-color;
	border-color: @primary-border-color;
	a{
		.basicLinkStyle;
	}
}

.detail-page-description .title{
	color: @text-color !important;
}

.cover-block{
	.cover-title,
	.cover-desc{
		color: @text-color !important;		
	}
} 

.content-wrapper{
	.container-fluid{
		background-color: @primary-bg;
	}
}

body, .full-post {
	background-color: @primary-bg;
}

body.navless {
	background-color: @primary-bg !important;
	
}

.context-header:hover, 
.context-header a:hover, 
.context-header .participants-more .btn-link:hover, 
.context-header .user-list-more .btn-link:hover, 
.participants-more .context-header .btn-link:hover, 
.user-list-more .context-header .btn-link:hover {
	background-color: inherit;
	
}

.gitlabBadge(){
	color: @text-color;
	background-color: @secondary-bg;
}

.nav-links {
	border-bottom: 1px solid #696969;
	li{
		&.active{
			a, 
			i {
				border-bottom: 2px solid #236dde;
				color: @text-color;
				&:hover{
					color: @text-color;
				}
				.badge{
					.gitlabBadge;
				}
			}
		} 
		.badge {
			.gitlabBadge;
		}
		a{
			color: @text-color;
			&:hover{
				color: @text-color;
				.badge{
					.gitlabBadge;
				}
			}
		}
	}
}

.badge{
	.gitlabBadge;
}

.sidebar-top-level-items > li .badge{
	.gitlabBadge;
}

.dropdown-darcula(){
	color: @text-color;
	background-color: @secondary-bg;
	border: @primary-border;
	a{
		color: @text-color;
	}
}

.dropdown-menu,
.dropdown-menu-nav{
	.dropdown-darcula;
}

.dropdown-toggle, 
.dropdown-menu-toggle{
	background-color: @secondary-bg;
	color: @text-color;
	border: @input-border;
	
}

.navbar-darcula(){
	.dropdown-menu,
	.dropdown-menu-nav{
		.dropdown-darcula;
		li{
			a,
			button,
			.menu-item{
				&:hover,
				&:active,
				&:focus,
				&.is-focused{
					background-color: @primary-highlight-bg;
					color: @text-color;
				}
			}
			.participants-more,
			.user-list-more{
				.btn-link{
					&:hover{
						background-color: @primary-highlight-bg;
						color: @text-color;
					}
				}
			}
		}
	}
}

.navbar-gitlab{
	.navbar-darcula;
}




input[type="text"], .form-control{
	.inputBase;
	&:active{
		.inputBase;
	}
}

.common-note-form{
	.md-area{
		border: @input-border;
		&.is-focused{
			border: @input-border;
			box-shadow: none;
		}
	}
}

.git-clone-holder-style(){
	background-color: @input-bg;
}


.git-clone-holder {
	.form-control {
		.git-clone-holder-style;
	}
	.search {
		form {
			.git-clone-holder-style;
		}
	}
}
.search {
	.git-clone-holder {
		form {
			.git-clone-holder-style;
		}
	}
}


.comment-toolbar{
	border-top: none;
}

.btn{
	.buttonDefault;
	&,
	&.btn-inverted{
		&.btn-success,
		&.btn-new,
		&.btn-create,
		&.comment-btn,
		&.btn-save{
			.buttonPrimary;
		}
		&.btn-danger,
		&.btn-remove,
		&.btn-red{
			.buttonDefault;
		}

		&.btn-grouped{
			.buttonDefault;
		}
	}
	&.btn-link{
		background-image: none;
		.basicLinkStyle;
	}

	&.btn-transparent{
		border: none;
		background-image: none;
	}
}

.project-repo-buttons,
.group-buttons{
	.btn{
		.buttonDefault;
	}
}

.file-holder{
	border-color: @primary-border-color;
	.file-content{
		background-color: @primary-bg;
	}
	.file-title{
		background-color: @secondary-bg;
		border-bottom-color: @primary-border-color;
		a:not(.btn){
			color: @text-color;
		}
	}
}

.file-title-flex-parent{
	color: @text-color;
	background: @secondary-bg;
	border-color: @primary-border-color;
	a{
		color: @text-color;
	}
}

.navbar-empty{
	background-color: @secondary-bg;
	border-bottom-color: @primary-border-color;
}

.login-page{
	.form-control{
		&,
		&:active,
		&:focus{
			.inputBase;
		}
	}
	.login-box,
	.omniauth-container{
		box-shadow: 0 0 0 1px @primary-border-color;
	}
	
	.new-session-tabs{
		li{
			&.active{
				a{
					color: @text-color;
				}
			}
			&:not(.active){
				.inactiveNavTab;
			}
		}
	}
}

.row-content-block{
	background-color: @primary-bg;
	border-color: @primary-border-color;
	&.content-component-block{
		background-color: @primary-bg;
	}
}

.timeline-entry{
	background-color: @primary-bg;
}


.note-textarea{
	.inputBase;
	.inputBorderAndBoxShadow;
}

.devise-layout-html body .footer-container, .devise-layout-html body hr.footer-fixed {
	background: @primary-bg;
	border-top-color: @primary-border-color;
}

.navTab(){
	color: @text-color;
	
	border-color: @input-border-color;
}

.activeNavTab(){
	.navTab;
	background-color: @secondary-bg;
}

.inactiveNavTab(){
	.navTab;
	background-color: @primary-bg;
}

.nav-tabs{
	& > li{
		&.active{
			& > a,
			& > a:hover,
			& > a:focus{
				.activeNavTab;
			}
		}
	}
}

.darculaPagination(){
	& > li{
		a,
		span{
			&,
			&:hover,
			&:focus{
				color: @input-color;
				background-color: @button-top-color;
				border-color: @button-border-color;
			}
		}
	}
	& > .disabled{
		a,
		span{
			&,
			&:hover,
			&:focus{
				color: @input-color;
				background-color: @button-top-color;
				border-color: @button-border-color;
			}
		}
	}
}


.participants-more .nav-tabs > li.active > .btn-link:hover, 
.user-list-more .nav-tabs > li.active > .btn-link:hover, 
.participants-more,
.user-list-more{
	body{
		.darculaBody;
	}
	.pagination{
		.darculaPagination;
	}
	
	.nav-tabs{
		& > li{
			&.active{
				& > .btn-link{
					&:hover{
						.activeNavTab
					}
				}
			}
		}
	}
}

.pagination{
	.darculaPagination;
}

.nothing-here-block{
	color: @disabled-text-color;
}

.merge-request,
.issue{
	&.closed{
		.textAndBackground;
	}
}

ul.content-list{
	li{
		color: @text-color;
		border-bottom-color: @primary-border-color;
		a{
			.basicLinkStyle;
		}
	}
}

.issuable-list{
	li{
		.issuable-milestone, 
		.issuable-info, 
		.task-status, 
		.issuable-updated-at{
			a{
				.basicLinkStyle;
			}
		}
	}

}

.text-expander{
	.buttonDefault;
}

code{
	.codeQuote;
}
